Subject: Re: bug#54591: 29.0.50; sqlite-select returns blob result as multibyte string

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 31 Mar 2022 13:54:08 +0200

Eli Zaretskii <[email-masked]> writes:

> Can we place the burden of knowing the type of the column on the
> caller?  I mean, if they know it's a binary blob, they should tell us,
> and then we don't decode it?

We could -- that was my last example:

>> "insert into test7 values (?, ?)" ["foo" (:binary binary)]

Or some syntax like that.  (And then never decode when we select from a
BLOB column.)  But...

> (Of course, if there's a way of knowing the type, we could DTRT
> automatically for each type.)

Yes, I'm hoping somebody else could have a look at the sqlite
documentation and tell me I'm missing some obvious way to get that
information.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no